public static interface GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsBuilders
| Modifier and Type | Method and Description |
|---|---|
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
googleFunctions(String path)
GoogleCloudFunctions (camel-google-functions)
Manage and invoke Google Cloud Functions
Category: cloud
Since: 3.9
Maven coordinates: org.apache.camel:camel-google-functions
Syntax:
google-functions:functionName
Path parameter: functionName (required)
The user-defined name of the function |
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder |
googleFunctions(String componentName,
String path)
GoogleCloudFunctions (camel-google-functions)
Manage and invoke Google Cloud Functions
Category: cloud
Since: 3.9
Maven coordinates: org.apache.camel:camel-google-functions
Syntax:
google-functions:functionName
Path parameter: functionName (required)
The user-defined name of the function |
default GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder googleFunctions(String path)
google-functions:functionName
Path parameter: functionName (required)
The user-defined name of the functionpath - functionNamedefault GoogleCloudFunctionsEndpointBuilderFactory.GoogleCloudFunctionsEndpointBuilder googleFunctions(String componentName, String path)
google-functions:functionName
Path parameter: functionName (required)
The user-defined name of the functioncomponentName - to use a custom component name for the endpoint
instead of the default namepath - functionNameApache Camel